Skip to main content
GET
/
share
List shareable assets
curl --request GET \
  --url https://api.cloudglue.dev/v1/share \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.cloudglue.dev/v1/share"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.cloudglue.dev/v1/share', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "object": "list",
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": 123,
      "file_segment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "description": "<string>",
      "metadata": {},
      "preview_url": "<string>",
      "media_download_url": "<string>",
      "media_download_expires_at": 123,
      "share_url": "<string>",
      "stream_url": "<string>",
      "object": "share"
    }
  ],
  "total": 123,
  "limit": 123,
  "offset": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

file_id
string<uuid>

The ID of the file to list shareable assets for

file_segment_id
string<uuid>

The ID of the file segment to list shareable assets for

limit
integer

Number of shareable assets to return

Required range: 1 <= x <= 100
offset
integer

Offset from the start of the shareable assets list

Required range: x >= 0
created_before
string<date>

Filter shareable assets created before a specific date (YYYY-MM-DD format), in UTC timezone

created_after
string<date>

Filter shareable assets created after a specific date (YYYY-MM-DD format), in UTC timezone

visibility
enum<string>

Filter shareable assets by visibility. A file can have one public and one private share.

Available options:
public,
private

Response

200 - application/json

Shareable assets listed successfully

object
enum<string>
required

Object type, always 'list'

Available options:
list
data
object[]
required
total
integer
required

The total number of items

limit
integer
required

The number of items per page

offset
integer
required

The offset of the items